Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.model
Interface IWorkbenchAdapter2

All Known Implementing Classes:
  WorkbenchAdapter

public interface IWorkbenchAdapter2

Extension interface for `IWorkbenchAdapter` that allows for color and font support.

There is an associate label provider and content provider for showing elements with a registered workbench adapter in JFace structured viewers.

Since:
  3.0
See Also:
  `IWorkbenchAdapter`, `WorkbenchLabelProvider`, `BaseWorkbenchContentProvider`

Method Summary
`RGB` | `getBackground(Object element)` Provides a background color for the given element.
`FontData` | `getFont(Object element)` Provides a font the given element.
`RGB` | `getForeground(Object element)` Provides a foreground color for the given element.

Method Detail

### getForeground

    public RGB getForeground(Object element)

  Provides a foreground color for the given element.

  Parameters:
    `element` - the element
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    public RGB getBackground(Object element)

  Provides a background color for the given element.

  Parameters:
    `element` - the element
  Returns:
    the background color for the element, or `null` to use the default background color

### getFont

    public FontData getFont(Object element)

  Provides a font the given element.

  Parameters:
    `element` - the element
  Returns:
    the font for the element, or `null` to use the default font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.